.settings {
  position: relative;

  display: grid;
}

@media (width < 940px) {
  .settings {
  }
}

@media (width >= 940px) {
  .settings {
    display: grid;
    grid-template-columns: 250px 1fr;

    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
  }
}

.container {
  padding: 0 var(--margin);
  margin: 0 auto;
  width: 100%;
  max-width: 1280px;

  display: grid;
  flex: 1;
}

@media (width < 940px) {
  .container {
    padding-bottom: var(--margin);
    margin-bottom: var(--margin);
  }
}

/* Side nav */
.nav {
  padding: var(--margin);

  display: none;
  flex-direction: column;
  gap: var(--margin);
}

@media (width >= 940px) {
  .nav {
    border-right: var(--border-size) solid var(--color-border-muted);
  }
}

.nav.visible {
  display: flex;
}

.nav > :global(.button) {
  --button-background: transparent;
  --button-background-hover: transparent;
}

.nav > :global(.button):hover {
  font-weight: 500;
}

.nav > :global(.button.active) {
  font-weight: 600;
}

.nav > :global(.button.active) > :global(.icon) {
  color: var(--color-text-info);
}

/* Basic Dialogs */
.dialog {
  width: 370px;
}

.dialog p {
  margin: 0 0 var(--margin);
}

.dialog p:last-child {
  margin-bottom: 0;
}

.dialog-content {
  padding: 0 var(--margin-md);

  font-weight: 100;
}

/* Pages */
.page {
  padding: var(--margin);
}

@media (width >= 940px) {
  .page {
    padding: var(--margin-md);
  }
}